﻿@model IEnumerable<CardVM>
@{
    ViewData["Title"] = "Wishlist";
}

<section class="wishlist-page pt-10">
    <div class="container-fluid custom-container">
        <div class="row">
            <div class="col-xl-12">
                <div class="wishlist mt-30">
                    <div class="shopping-cart-table table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th class="image">Image</th>
                                    <th class="product">Product</th>
                                    <th class="price">Price</th>
                                    <th class="quantity">Quantity</th>
                                    <th class="total">Total</th>
                                    <th class="delete">Delete</th>
                                </tr>
                            </thead>
                            <tbody>

                                @foreach (CardVM item in Model)
                                {
                                    var firstImage = item.ProductImage.ElementAt<ProductImages>(0).Images;
                                    double tottal = item.Count * item.Price;
                                    item.Total += tottal;
                                    <tr>
                                        <td>
                                            <div class="product-image">
                                                <img src="~/assets/images/product/@firstImage" alt="cart">
                                            </div>
                                        </td>
                                        <td>
                                            <div class="product-title">
                                                <h4 class="title"><a asp-controller="Product" asp-action="Index" asp-route-id="@item.Id">@item.Name</a></h4>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="product-price">
                                                <span class="price">€@item.Price</span>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="product-quantity">
                                                <div class="quantity mt-15 d-flex">
                                                    <button type="button" class="sub"><i class="fal fa-minus"></i></button>
                                                    <input type="text" value="1" />
                                                    <button type="button" class="add"><i class="fal fa-plus"></i></button>
                                                </div>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="product-total">
                                                <span class="total-amount">@tottal</span>
                                            </div>
                                        </td>
                                        <td>
                                            <div class="product-delete">
                                                <a href="#"><i class="fal fa-trash-alt"></i></a>
                                            </div>
                                        </td>
                                    </tr>
                                }
                                </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

